Subject: bug#73572: closed (Re: bug#73572: 31.0.50; defface warnings)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Oct 2024 10:43:02 +0000

Your bug report

#73572: 31.0.50; defface warnings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73572: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73572
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73572: 31.0.50; defface warnings
From: Eli Zaretskii <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Oct 2024 13:42:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arash Esbati <[email-masked]>
> Date: Mon, 30 Sep 2024 22:14:46 +0200
> 
> I'm not sure if these warnings are due to Mattias' recent changes, but
> when building Emacs from master (685ec273ec), I get:
> 
> --8<---------------cut here---------------start------------->8---
> In toplevel form:
> shell.el:1662:18: Warning: in defface for
> ‘shell-highlight-undef-defined-face’: Value for face attribute
> ‘:inherit’ should not be quoted
> shell.el:1668:18: Warning: in defface for
> ‘shell-highlight-undef-undefined-face’: Value for face attribute
> ‘:inherit’ should not be quoted
> shell.el:1674:18: Warning: in defface for
> ‘shell-highlight-undef-alias-face’: Value for face attribute ‘:inherit’
> should not be quoted
> 
> In toplevel form:
> net/dictionary.el:339:7: Warning: in defface for
> ‘dictionary-word-entry-face’: ‘:inverse’ is not a valid face attribute
> keyword
> 
> In toplevel form:
> net/sieve-mode.el:70:35: Warning: in defface for
> ‘sieve-tagged-arguments’: Non-keyword in face attribute list: ‘face’
> 
> In toplevel form:
> vc/smerge-mode.el:84:24: Warning: in defface for ‘smerge-upper’: Missing
> face attribute ‘:extend’ value
> vc/smerge-mode.el:95:26: Warning: in defface for ‘smerge-lower’: Missing
> face attribute ‘:extend’ value
> --8<---------------cut here---------------end--------------->8---
> 
> The following patch should fix the warnings for 1, 3 and 4.  I'm not
> sure what's the right approach for 2.

Thanks, these appear to have been fixed on master, so I'm now closing
the bug.

Subject: 31.0.50; defface warnings
From: Arash Esbati <[email-masked]>
To: "emacs-bugs" <[email-masked]>
Date: Mon, 30 Sep 2024 22:14:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I'm not sure if these warnings are due to Mattias' recent changes, but
when building Emacs from master (685ec273ec), I get:

--8<---------------cut here---------------start------------->8---
In toplevel form:
shell.el:1662:18: Warning: in defface for
‘shell-highlight-undef-defined-face’: Value for face attribute
‘:inherit’ should not be quoted
shell.el:1668:18: Warning: in defface for
‘shell-highlight-undef-undefined-face’: Value for face attribute
‘:inherit’ should not be quoted
shell.el:1674:18: Warning: in defface for
‘shell-highlight-undef-alias-face’: Value for face attribute ‘:inherit’
should not be quoted

In toplevel form:
net/dictionary.el:339:7: Warning: in defface for
‘dictionary-word-entry-face’: ‘:inverse’ is not a valid face attribute
keyword

In toplevel form:
net/sieve-mode.el:70:35: Warning: in defface for
‘sieve-tagged-arguments’: Non-keyword in face attribute list: ‘face’

In toplevel form:
vc/smerge-mode.el:84:24: Warning: in defface for ‘smerge-upper’: Missing
face attribute ‘:extend’ value
vc/smerge-mode.el:95:26: Warning: in defface for ‘smerge-lower’: Missing
face attribute ‘:extend’ value
--8<---------------cut here---------------end--------------->8---

The following patch should fix the warnings for 1, 3 and 4.  I'm not
sure what's the right approach for 2.

--8<---------------cut here---------------start------------->8---
diff --git a/lisp/net/sieve-mode.el b/lisp/net/sieve-mode.el
index 4fbdd183973..a648cf1e1e0 100644
--- a/lisp/net/sieve-mode.el
+++ b/lisp/net/sieve-mode.el
@@ -67,7 +67,7 @@ sieve-test-commands
   "Face used for Sieve Test Commands.")

 (defface sieve-tagged-arguments
-  '((t :inherit font-lock-keyword face))
+  '((t :inherit font-lock-keyword-face))
   "Face used for Sieve Tagged Arguments.")

diff --git a/lisp/shell.el b/lisp/shell.el
index 4d92fe71df4..14f073d6a61 100644
--- a/lisp/shell.el
+++ b/lisp/shell.el
@@ -1659,19 +1659,19 @@ shell-highlight-undef-aliases
   :version "29.1")

 (defface shell-highlight-undef-defined-face
-  '((t :inherit 'font-lock-function-name-face))
+  '((t :inherit font-lock-function-name-face))
   "Face used for existing shell commands."
   :group 'shell
   :version "29.1")

 (defface shell-highlight-undef-undefined-face
-  '((t :inherit 'font-lock-warning-face))
+  '((t :inherit font-lock-warning-face))
   "Face used for non-existent shell commands."
   :group 'shell
   :version "29.1")

 (defface shell-highlight-undef-alias-face
-  '((t :inherit 'font-lock-variable-name-face))
+  '((t :inherit font-lock-variable-name-face))
   "Face used for shell command aliases."
   :group 'shell
   :version "29.1")
diff --git a/lisp/vc/smerge-mode.el b/lisp/vc/smerge-mode.el
index a16c7871ff9..aad3e302826 100644
--- a/lisp/vc/smerge-mode.el
+++ b/lisp/vc/smerge-mode.el
@@ -81,7 +81,7 @@ smerge-upper
     (((class color) (min-colors 88) (background dark))
      :background "#553333" :extend t)
     (((class color))
-     :foreground "red" :extend))
+     :foreground "red" :extend t))
   "Face for the `upper' version of a conflict.")
 (define-obsolete-face-alias 'smerge-mine 'smerge-upper "26.1")
 (defvar smerge-upper-face 'smerge-upper)
@@ -92,7 +92,7 @@ smerge-lower
     (((class color) (min-colors 88) (background dark))
      :background "#335533" :extend t)
     (((class color))
-     :foreground "green" :extend))
+     :foreground "green" :extend t))
   "Face for the `lower' version of a conflict.")
 (define-obsolete-face-alias 'smerge-other 'smerge-lower "26.1")
 (defvar smerge-lower-face 'smerge-lower)
--8<---------------cut here---------------end--------------->8---

Best, Arash